## ayatana-indicator-sound 22.9.0

=== debian/changelog ===
ayatana-indicator-sound (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog:
    + Amend changelog stanza of upload 0.8.2-1. Finally add closure of Debian
      but #974743. (Closes: #974743).
  * debian/patches:
    + Drop 0001_src-options-gsettings.vala-Use-shared-settings-on-Lo.patch.
      Applied upstream.
  * debian/copyright:
    + Update attributions for debian/.
    + Update auto-generated copyright.in file.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Sep 2022 15:34:48 +0200
