## ayatana-indicator-sound 22.9.1

=== debian/changelog ===
ayatana-indicator-sound (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Jan 2023 07:49:44 +0100
