=== debian/changelog ===
ayatana-indicator-sound (22.9.2-3) unstable; urgency=medium

  * debian/control:
    + Add pipewire-pulse as alternative D for pulseaudio. (Closes: #1035093).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 May 2023 09:51:00 +0200

ayatana-indicator-sound (22.9.2-2) unstable; urgency=medium

  * debian/control:
    + Add to alternative R: lomiri-system-settings.
  * debian/control:
    + Switch from ayatana-greeter-session-broadcast to lomiri-greeter-session-
      broadcast in Suggests: field.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 10:50:59 +0100

ayatana-indicator-sound (22.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 17 Jan 2023 15:18:36 +0100
