=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-sound
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-sound.git
@@ -49,12 +49,12 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         pulseaudio,
+         pulseaudio | pipewire-pulse,
          ayatana-indicator-common (>= 0.8.0),
          libglib2.0-bin,
-Recommends: unity-control-center | gnome-control-center | pavucontrol | mate-media,
+Recommends: unity-control-center | gnome-control-center | pavucontrol | mate-media | lomiri-system-settings,
             accountsservice,
-Suggests: ayatana-greeter-session-broadcast,
+Suggests: lomiri-greeter-session-broadcast,
 Breaks: indicator-sound,
 Replaces: indicator-sound,
 Description: Ayatana Indicator for managing system sound
