=== tests/service-mocks/CMakeLists.txt ===
if(ENABLE_LOMIRI_FEATURES)
    add_subdirectory(accounts-mock)
endif()
add_subdirectory(media-player-mpris-mock)
