=== debian/changelog ===
ayatana-indicator-sound (23.10.3-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:45 +0000

ayatana-indicator-sound (23.10.3-3) unstable; urgency=medium

  * debian/control:
    + Follow Ubuntu and prefer pipewire-pulse over pulseaudio.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 03 Mar 2024 00:41:22 +0100

ayatana-indicator-sound (23.10.3-2) unstable; urgency=medium

  * debian/patches:
    + Add 1001_systemd-after-pulseaudio-or-pipewire.patch. Assure that sound
      indicator is launched after pulseaudio or pipewire-pulse. Thanks to
      Alfred Neumayer for providing this info.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Feb 2024 22:26:29 +0100

ayatana-indicator-sound (23.10.3-1) unstable; urgency=medium

  * New upstream release.
    - Provide policykit .rules file (Closes: #1015156).
  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060529).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 15:29:09 +0100
