=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-sound
 Section: misc
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -38,7 +39,7 @@
                qtbase5-dev-tools,
                qtdeclarative5-dev,
                qtdeclarative5-dev-tools,
-               systemd [linux-any],
+               systemd-dev [linux-any],
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-sound
@@ -49,7 +50,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         pulseaudio | pipewire-pulse,
+         pipewire-pulse | pulseaudio,
          ayatana-indicator-common (>= 0.8.0),
          libglib2.0-bin,
 Recommends: unity-control-center | gnome-control-center | pavucontrol | mate-media | lomiri-system-settings,
