## ayatana-indicator-sound 23.10.3-0+git20240301.3197+10.nightly.1

=== debian/changelog ===
ayatana-indicator-sound (23.10.3-0+git20240301.3197+10.nightly.1) buster; urgency=medium

  * Development-Snapshot!!! Auto-built Debian buster package for
    packages.arctica-project.org repository (Git commit:
    3c318fcce2c1afa44ac41cab08e84f8ffbe4e22c).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Fri, 01 Mar 2024 10:01:14 +0100

ayatana-indicator-sound (23.10.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-sound.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 04 Dec 2023 08:42:38 +0100

ayatana-indicator-sound (23.10.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-sound.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 10 Nov 2023 13:32:00 +0100

ayatana-indicator-sound (23.10.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-sound.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 06 Nov 2023 17:09:04 +0100

ayatana-indicator-sound (23.10.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-sound.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 13 Oct 2023 08:25:39 +0200

ayatana-indicator-sound (22.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-sound.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 17 Jan 2023 15:16:08 +0100

ayatana-indicator-sound (22.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-sound.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 15 Dec 2022 21:26:01 +0100

ayatana-indicator-sound (22.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-sound.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 13 Sep 2022 15:22:35 +0200
