=== debian/changelog ===
ayatana-indicator-sound (24.5.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_allow-volume-change-to-unmute-audio.patch. Allow the user to
      unmute audio via "pumping" up the volume (slider).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 04 Dec 2024 14:37:23 +0100

ayatana-indicator-sound (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:11:49 +0200

ayatana-indicator-sound (24.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_systemd-after-pulseaudio-or-pipewire.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Apr 2024 20:28:05 +0200
