=== debian/changelog ===
ayatana-indicator-sound (24.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_allow-volume-change-to-unmute-audio.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 21 Dec 2024 23:02:24 +0100
